Subject: [Sip] I-D ACTION:draft-ietf-sip-199-00.txt

From: [email-masked]
Date: Fri, 23 May 2008 10:15:02 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the Session Initiation Protocol Working Group of the IETF.

	Title		: Response Code for Indication of Terminated Dialog
	Author(s)	: C. Holmberg
	Filename	: draft-ietf-sip-199-00.txt
	Pages		: 9
	Date		: 2008-5-15
	
This specification defines a new SIP response code, 199 Early Dialog
   Terminated, which a SIP entity can use to indicate upstream that an
   early dialog has been terminated.  The response code can be used by a
   SIP entity, normally a forking SIP proxy, to allow the UAC to know
   that an early dialog has been terminated before it a final response
   is sent to the request.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sip-199-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Francois Audet" <[email-masked]>
Date: Thu, 29 May 2008 19:16:19 -0500

I really think that this draft should make the inclusion of the original 
non-2XX final response in the 199 MANDATORY by the forking proxy. This would
be in a message/sip body as described in sectin 23.4/RFC 3261.

It should even include the Message body of the original
response if present (some error codes have SDP bodies for example).
Again, this would be embedded in the message/sip MIME.

Otherwise, this ambiguity will sabotage potential use of this
draft to solve wider problems such as HERFP.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Friday, May 23, 2008 10:15
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sip] I-D ACTION:draft-ietf-sip-199-00.txt
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> Below is the data which will enable a MIME compliant mail 
> reader implementation to automatically retrieve the ASCII 
> version of the Internet-Draft.
>

---

From: "Christer Holmberg" <[email-masked]>
Date: Fri, 30 May 2008 12:10:46 +0200

Hi, 

>I really think that this draft should make the inclusion of the
original non-2XX final response in the 199 MANDATORY by the forking
proxy. This would be in a message/sip body as described in 
>sectin 23.4/RFC 3261.
>
>It should even include the Message body of the original response if
present (some error codes have SDP bodies for example).
>Again, this would be embedded in the message/sip MIME.

I guess this would also apply to the case when the UAS sends the 199
(the draft currently allows it).

>Otherwise, this ambiguity will sabotage potential use of this draft to
solve wider problems such as HERFP.

I have no problem to add what you propose, but what the UAC then does
with the information is in my opinion outside the scope of the document.
Ie we are not going to describe a solution to the HERFP problem.

Do you propose to MUST include error code, and SHOULD include message
body?

Regards,

Christer

> From: [email-masked] [mailto:[email-masked]] On Behalf Of 
> [email-masked]
>    early dialog has been terminated.  The response code can be used by

> a

---

From: "Francois Audet" <[email-masked]>
Date: Fri, 30 May 2008 17:34:42 -0500

I think we are in agreement. 

See below.

> From: Christer Holmberg [mailto:[email-masked]] 
> Sent: Friday, May 30, 2008 03:11
> To: Audet, Francois (SC100:3055); [email-masked]
> Subject: RE: [Sip] I-D ACTION:draft-ietf-sip-199-00.txt
> 
> 
> Hi, 
> 
> original non-2XX final response in the 199 MANDATORY by the 
> forking proxy. This would be in a message/sip body as described in 
> >sectin 23.4/RFC 3261.
> >
> I guess this would also apply to the case when the UAS sends 
> the 199 (the draft currently allows it).

I guess so. However, I don't understand why a UAS would send a 199.
Section 5 provides no justification for it. I'd like to see an explanation
of why it's useful.

> I have no problem to add what you propose, but what the UAC 
> then does with the information is in my opinion outside the 
> scope of the document.

That is perfect with me. Just state it as outside the scope of this
document.

I think this is a pragmatic way to allow progress on it.

> Do you propose to MUST include error code, and SHOULD include 
> message body?

I think the whole response (include error code and rest of the message,
including message body in the few cases where it exist) should be
included in a message/sip body, yes. As per section 23.4/RFC 3261
(just put a pointer to it). 

> > This draft is a work item of the Session Initiation 
> Protocol Working 
> > Group of the IETF.
> >